<?xml version="1.0" standalone="yes"?>
<xs:schema id="UpgradeRules" targetNamespace="seagull:rules/upgrades" xmlns="seagull:rules/upgrades" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:rule="seagull:rules" attributeFormDefault="unqualified" elementFormDefault="qualified">
  <xs:import namespace="seagull:rules" schemaLocation="rules.xsd" />
  <xs:element name="UpgradeRules">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="TreeData" maxOccurs="1">
          <xs:complexType>
            <xs:all>
              <xs:element name="Name" type="xs:string" />
              <xs:element name="PrimaryColor" maxOccurs="1" type="xs:string" />
            </xs:all>
          </xs:complexType>
        </xs:element>
        <xs:element name="Upgrade" maxOccurs="unbounded">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Id" type="xs:string" minOccurs="1" maxOccurs="1" />
              <xs:element name="Name" type="xs:string" minOccurs="1" maxOccurs="1" />
              <xs:element name="Desc" type="xs:string" minOccurs="0" maxOccurs="1"/>
              <xs:element name="Modifiers" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:choice minOccurs="1" maxOccurs="unbounded">
                    <xs:element name="Mod" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:attribute name="Id" form="unqualified" type="xs:string" />
                        <xs:attribute name="Name" form="unqualified" type="xs:string" />
                        <xs:attribute name="Speed" form="unqualified" type="xs:int" />
                        <xs:attribute name="ChanceSteal" form="unqualified" type="rule:percentage" />
                        <xs:attribute name="ChanceRecruit" form="unqualified" type="rule:percentage" />
                        <xs:attribute name="StealPerc" form="unqualified" type="rule:percentage" />
                        <xs:attribute name="XPPerc" form="unqualified" type="rule:percentage" />
                        <xs:attribute name="OfflineGen" form="unqualified" type="rule:percentage" />
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                </xs:complexType>
              </xs:element>
              <xs:element name="Requirements" maxOccurs="1" minOccurs="0">
                <xs:complexType>
                  <xs:choice minOccurs="1" maxOccurs="unbounded">
                    <xs:element name="Require" maxOccurs="unbounded" type="xs:string" />
                    <xs:element name="Food" minOccurs="0" maxOccurs="1" type="xs:int" />
                    <xs:element name="Shinies" minOccurs="0" maxOccurs="1" type="xs:int" />
                    <xs:element name="Agility" minOccurs="0" maxOccurs="1" type="xs:int" />
                    <xs:element name="Instinct" minOccurs="0" maxOccurs="1" type="xs:int" />
                    <xs:element name="Leadership" minOccurs="0" maxOccurs="1" type="xs:int" />
                  </xs:choice>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>